# util

#### 一、引用方式:
```yaml
dependencies:
  itwo_util:
    git:
      url: https://gitee.com/f_flutter/flutter_packages.git
      path: itwo_util
      ref: master

```

#### 二、功能
[Cache](../itwo_util/lib/util_cache.dart) :

```dart
CacheUtil.put(key,value)  
CacheUtil.get(key)
```
[DateTimeUtil]():

```dart
DateTimeUtil.formatDateTime(DateTime,pattern)
DateTimeUtil.parse(formattedString)
```
[EncryptUtil 加密]():  
[log 工具]():  
[Router 工具]():
[StringUtil]():


#### 依赖的第三方插件
```yaml
# 轻量缓存 https://pub.dev/packages/shared_preferences
shared_preferences: ^2.0.5
# 国际化和本地化功能，https://pub.dev/packages/intl
intl: ^0.17.0
#  dart-lang convert https://pub.dev/packages/convert
convert: ^3.0.0
# MD5 SHA1 https://pub.dev/packages/crypto
crypto: ^3.0.1
# AES 加密 https://pub.dev/packages/encrypt
encrypt: ^5.0.0  
```