part of itwo_util;

void iLog(String message, {String tag = "iTwo", int framesIndex = 1}) {
  bool kReleaseMode = bool.fromEnvironment('dart.vm.product', defaultValue: false);
  bool kProfileMode = bool.fromEnvironment('dart.vm.profile', defaultValue: false);
  if (kReleaseMode || kProfileMode) return;
  var chain = Chain.current();
  var string = chain.traces[0].frames[framesIndex].toString();
  print('$string  ----> TAG : $tag');
  print("$message");
}

extension ILog on String {
  void log({String tag = "iTwo"}) {
    iLog(this, tag: tag, framesIndex: 2);
  }
}
